const vec2 blurOffsets4[4] = vec2[](
    vec2(0.2184865, -0.0921137),
    vec2(-0.5866113, 0.3215379),
    vec2(-0.0659508, -0.8796561),
    vec2(0.4340756, 0.6502318)
);

vec4 getDiskBlur4(sampler2D colortex, vec2 coord, float strength) {
    vec4 blur = vec4(0.0);

    for (int i = 0; i < 4; i++) {
        blur += texture2D(colortex, coord + blurOffsets4[i] * strength / vec2(viewWidth, viewHeight));
    }

    return blur * 0.25;
}